summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2020-06-14 00:48:32 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2020-06-14 08:51:28 +0200
commitd91c5589f2317dcfa61e9b15a71341582c6d3537 (patch)
tree13f63c923413004219e299b4f3d4ef39aeffec56 /kde-apps/kate
parentkde-frameworks: Add KDE Frameworks 5.71.0 (diff)
downloadgentoo-d91c5589f2317dcfa61e9b15a71341582c6d3537.tar.gz
gentoo-d91c5589f2317dcfa61e9b15a71341582c6d3537.tar.bz2
gentoo-d91c5589f2317dcfa61e9b15a71341582c6d3537.zip
kde-apps: Add KDE Release Service 20.04.2
Package-Manager: Portage-2.3.100, Repoman-2.3.22 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'kde-apps/kate')
-rw-r--r--kde-apps/kate/Manifest1
-rw-r--r--kde-apps/kate/kate-20.04.2.ebuild110
2 files changed, 111 insertions, 0 deletions
diff --git a/kde-apps/kate/Manifest b/kde-apps/kate/Manifest
index 4ef3954e90e..a978beda387 100644
--- a/kde-apps/kate/Manifest
+++ b/kde-apps/kate/Manifest
@@ -1,2 +1,3 @@
DIST kate-19.12.3.tar.xz 5795816 BLAKE2B 567b0c37f0b50533eeb19a527f7527ae050b62c8a50d46bbfac06226f109cd024b7626abc7defa32b9a654e231f6f04246a3410ace92f40fc25fb22a6f893c82 SHA512 aa6a2c44a8c5892e61ac80df676da6059e61dd93f5e2934e0547040d89379f9f3ae90f46b8e043edf463228ef5b0ab3f795b8ab3dd6c488d0ba0c55cf20bd817
DIST kate-20.04.1.tar.xz 5826720 BLAKE2B 0c35a3fc88fe7a318d2aa369fdc70a40c6967de7712419fbde846cad89ffb653a87618631cdf731947f1cdff21d50f4fa5d64b0fd8fb45245daaf2983e021de6 SHA512 b1b07b9ca25809afe316319f890e3a6eff2604f91779c2e1e942dbb16ce082f4a4d3bc6e72dea28a35fc2f31dc615eaa750f74c0528458d1397ae6cd651b7e47
+DIST kate-20.04.2.tar.xz 5829952 BLAKE2B 839a069bac00ecc7e7158875570a9d7bf95e5f10cc2041b6178c47ccd3c3ee6ac7426a55da72d468657fbd09694714bd44e0be97411b1bbc0ab58582c0f0df95 SHA512 eee887549ed22b5d0bab966936f1d509bb47a79cad4162cf44ef5a44b97f9c4ea5aac2316e234def6bbf6cae506347e309b26fb24e20c7ac1cc582c12ad6f911
diff --git a/kde-apps/kate/kate-20.04.2.ebuild b/kde-apps/kate/kate-20.04.2.ebuild
new file mode 100644
index 00000000000..8e01ce44b3e
--- /dev/null
+++ b/kde-apps/kate/kate-20.04.2.ebuild
@@ -0,0 +1,110 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+ECM_HANDBOOK="optional"
+ECM_TEST="true"
+KFMIN=5.70.0
+QTMIN=5.14.1
+VIRTUALX_REQUIRED="test"
+inherit ecm kde.org
+
+DESCRIPTION="Multi-document editor with network transparency, Plasma integration and more"
+HOMEPAGE="https://kate-editor.org/
+https://kde.org/applications/utilities/org.kde.kate"
+
+LICENSE="GPL-2" # TODO: CHECK
+SLOT="5"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+IUSE="activities +filebrowser lspclient +projects plasma +snippets sql telemetry"
+
+# only addons/externaltools depends on kiconthemes, too small for USE
+DEPEND="
+ >=dev-qt/qtdbus-${QTMIN}:5
+ >=dev-qt/qtgui-${QTMIN}:5
+ >=dev-qt/qtwidgets-${QTMIN}:5
+ >=dev-qt/qtxml-${QTMIN}:5
+ >=kde-frameworks/kcodecs-${KFMIN}:5
+ >=kde-frameworks/kcompletion-${KFMIN}:5
+ >=kde-frameworks/kconfig-${KFMIN}:5
+ >=kde-frameworks/kconfigwidgets-${KFMIN}:5
+ >=kde-frameworks/kcoreaddons-${KFMIN}:5
+ >=kde-frameworks/kcrash-${KFMIN}:5
+ >=kde-frameworks/kdbusaddons-${KFMIN}:5
+ >=kde-frameworks/kguiaddons-${KFMIN}:5
+ >=kde-frameworks/ki18n-${KFMIN}:5
+ >=kde-frameworks/kiconthemes-${KFMIN}:5
+ >=kde-frameworks/kio-${KFMIN}:5
+ >=kde-frameworks/kitemviews-${KFMIN}:5
+ >=kde-frameworks/kjobwidgets-${KFMIN}:5
+ >=kde-frameworks/kparts-${KFMIN}:5
+ >=kde-frameworks/kservice-${KFMIN}:5
+ >=kde-frameworks/ktexteditor-${KFMIN}:5
+ >=kde-frameworks/ktextwidgets-${KFMIN}:5
+ >=kde-frameworks/kwidgetsaddons-${KFMIN}:5
+ >=kde-frameworks/kwindowsystem-${KFMIN}:5
+ >=kde-frameworks/kxmlgui-${KFMIN}:5
+ activities? ( >=kde-frameworks/kactivities-${KFMIN}:5 )
+ filebrowser? ( >=kde-frameworks/kbookmarks-${KFMIN}:5 )
+ lspclient? ( >=kde-frameworks/kitemmodels-${KFMIN}:5 )
+ plasma? ( >=kde-frameworks/plasma-${KFMIN}:5 )
+ projects? (
+ >=kde-frameworks/knewstuff-${KFMIN}:5
+ >=kde-frameworks/threadweaver-${KFMIN}:5
+ )
+ snippets? ( >=kde-frameworks/knewstuff-${KFMIN}:5 )
+ sql? (
+ >=dev-qt/qtsql-${QTMIN}:5
+ >=kde-frameworks/kwallet-${KFMIN}:5
+ )
+ telemetry? ( dev-libs/kuserfeedback:5 )
+"
+RDEPEND="${DEPEND}
+ !kde-misc/ktexteditorpreviewplugin
+"
+
+src_prepare() {
+ ecm_src_prepare
+
+ # delete colliding kwrite translations
+ if [[ ${KDE_BUILD_TYPE} = release ]]; then
+ find po -type f -name "*po" -and -name "kwrite*" -delete || die
+ rm -rf po/*/docs/kwrite || die
+ fi
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake_use_find_package activities KF5Activities)
+ -DBUILD_filebrowser=$(usex filebrowser)
+ -DBUILD_lspclient=$(usex lspclient)
+ -DBUILD_sessionapplet=$(usex plasma)
+ -DBUILD_project=$(usex projects)
+ -DBUILD_snippets=$(usex snippets)
+ -DBUILD_katesql=$(usex sql)
+ -DBUILD_kwrite=FALSE
+ $(cmake_use_find_package telemetry KUserFeedback)
+ )
+
+ ecm_src_configure
+}
+
+src_test() {
+ # tests hang
+ local myctestargs=(
+ -E "(session_manager_test|sessions_action_test)"
+ )
+
+ ecm_src_test
+}
+
+pkg_postinst() {
+ ecm_pkg_postinst
+
+ if [[ -z "${REPLACING_VERSIONS}" ]]; then
+ elog "The functionality of ktexteditorpreview plugin can be extended with:"
+ elog " kde-misc/kmarkdownwebview"
+ elog " media-gfx/kgraphviewer"
+ fi
+}